| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/objreg.h File Reference

Implementation of iObjectRegistry. More...

`#include "csextern.h"`
`#include "iutil/objreg.h"`
`#include "csutil/array.h"`
`#include "csutil/scf_implementation.h"`
`#include "csutil/stringarray.h"`
`#include "csutil/thread.h"`

Go to the source code of this file.

## Classes
class | csObjectRegistry
| This is an implementation of iObjectRegistry. More...

## Detailed Description

Implementation of iObjectRegistry.

Definition in file objreg.h.